Articles on: Integrations

How to Connect WooCommerce With AfterShip

Plans: All plans Platforms: WooCommerce

Overview



WooCommerce is an open-source eCommerce plugin for WordPress. With just a few simple steps, you can easily connect your store to AfterShip. There are two ways to establish a successful connection which we have described in this article.

In this tutorial, we'll discuss:

How to install AfterShip from Wordpress admin
How to install WooCommerce from AfterShip admin
Possible errors while integrating WooCommerce with AfterShip

How to install AfterShip from WordPress admin



Log into your WooCommerce store
Go to the Plugins section > Tap on the Add new option > Search for AfterShip


Once you find the AfterShip plugin, tap on the Install now button and then activate it straight away
Now, click on the Connect now button


You'll be redirected to the permission page; click Approve to complete the process



You can enjoy the benefits of AfterShip if you're on the WooCommerce version 3.0.0 or above. As far as the WordPress version is concerned, it should be 4.4 or above.

In case you want to show shipping updates on your custom branded tracking page, simply log into your WordPress account and look for the installed AfterShip plugin. Once you find it, click on it to see its Settings page. Enter relevant data in the given fields and then click on the Save changes button to finish the process.


How to install WooCommerce from AfterShip admin



Click here and search for WooCommerce
Enter your Store URL in the given field > Click on the Install app button
You will automatically land on the WordPress plugin page where you need to install and activate the AfterShip plugin
Hit the Connect now button
Now, the permission page will open up, where you need to hit the Approve button

Congrats! Your WooCommerce store is successfully connected to AfterShip.

In case you want to check whether the connection has been successfully established or not, click here and look for your WordPress store.

Possible errors while integrating WooCommerce with AfterShip



Users are often unable to connect their WooCommerce store to their AfterShip account. Following are the possible reasons for the same:

The version they are using is not supported.

The supported versions are:

PHP version: 5.2.4 and above
WooCommerce version: 2.1 and above

The store is not live and is under maintenance mode.

Sometimes your store is not live and is under maintenance and hence you are unable to connect it.

When verifying the store's connection to your AfterShip account, the following error code is generated:


For any help in this regard, feel free to connect with our support team.

Updated on: 05/01/2024

Was this article helpful?

Share your feedback

Cancel

Thank you!